%define anolis_release 1
Name:		libva
Version:	2.14.0
Release:	%{anolis_release}%{?dist}
Summary:	Video Acceleration (VA) API for Linux
License:	MIT
URL:		https://github.com/intel/libva
Source0:	%{url}/archive/%{version}%{?pre_release}/%{name}-%{version}%{?pre_release}.tar.gz

BuildRequires:	libtool
BuildRequires:  make
BuildRequires:  gcc

BuildRequires:	libudev-devel
%{!?_without_xorg:
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
}
BuildRequires:	libdrm-devel
BuildRequires:	libpciaccess-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLES-devel
%{!?_without_wayland:
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1
}
Requires:	mesa-filesystem%{_isa}

%description
Libva is a library providing the VA API video acceleration API.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}%{?pre_release}
autoreconf -vif

%build
%configure --disable-static \
%{?_without_xorg: --disable-glx --disable-x11} \
%{?_without_wayland:--disable-wayland}

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%ldconfig_scriptlets

%files
%doc NEWS
%license COPYING
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva.so.2*
%{_libdir}/libva-drm.so.2*
%{!?_without_wayland:
%{_libdir}/libva-wayland.so.2*
}
%{!?_without_xorg:
%{_libdir}/libva-x11.so.2*
%{_libdir}/libva-glx.so.2*
}

%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc

%changelog
* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.14.0-1
- Init from upstream version 2.14.0

